# 4 Lights Consulting 

The apache php docker container that 4 Lights uses for production.

Dockerhub: https://hub.docker.com/r/4lights/phpcontainer

## How to update

1. Clone the project: ```git clone git@git.4lt.ca:4lt/phpcontainer.git```
2. Update the Dockerfile.
3. Build (be sure to change the version number)

```bash
sudo su
docker buildx build --no-cache -t 4lights/phpcontainer:5.0.1 -t 4lights/phpcontainer:latest --load .
docker login
docker push 4lights/phpcontainer:5.0.1
docker push 4lights/phpcontainer:latest
```

# References And Notes

* [Stack Overflow IMAP features](https://stackoverflow.com/questions/49854767/docker-php7-2-fpm-cant-install-imap-module)
* Joomla base used: f9a16bcbd8/4.3/php8.1/apache/Dockerfile

## Supported Software

* 4 Lights PHP Framework

## Samples included in Repo

There is a docker-compose, env-sample and php.ini included as sample data.